# eric6.Plugins.VcsPlugins.vcsPySvn.SvnPropSetDialog

Module implementing a dialog to enter the data for a new property.

### Global Attributes

None

### Classes

SvnPropSetDialog | Class implementing a dialog to enter the data for a new property.

### Functions

None

## SvnPropSetDialog

Class implementing a dialog to enter the data for a new property.

### Derived from

QDialog, Ui_SvnPropSetDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnPropSetDialog | Constructor
getData | Public slot used to retrieve the data entered into the dialog.

### Static Methods

None

#### SvnPropSetDialog (Constructor)

SvnPropSetDialog(recursive, parent=None)

Constructor

recursive
  flag indicating a recursive set is requested
parent
  parent widget (QWidget)

#### SvnPropSetDialog.getData

getData()

Public slot used to retrieve the data entered into the dialog.

Returns:
  tuple of three values giving the property name, the text of the property and a flag indicating, that this property should be applied recursively. (string, string, boolean)

Up